package com.gic.haoban.manage.service.pojo.bo.hm;

import com.gic.haoban.manage.api.enums.hm.HmPageStatus;
import com.gic.haoban.manage.api.enums.hm.HmPageType;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/7/1 5:38 PM
 * @Description
 * @Version
 **/
public class HmPageRelationBO implements Serializable {

    private static final long serialVersionUID = 4300459192830013417L;
    /**
     * 落地页模板code
     */
    private String pageCode;


    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 引用方id
     */
    private String referId;

    /**
     * 引用方code
     */
    private String referCode;

    /**
     * 引用方名称
     */
    private String referName;

    /**
     * 引用方来源
     *
     * @see HmPageType
     */
    private Integer type;

    /**
     * 关联状态
     * @see HmPageStatus
     *
     */
    private Integer status;

    private Long relationId;

    public String getPageCode() {
        return pageCode;
    }

    public void setPageCode(String pageCode) {
        this.pageCode = pageCode;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getReferId() {
        return referId;
    }

    public void setReferId(String referId) {
        this.referId = referId;
    }

    public String getReferName() {
        return referName;
    }

    public void setReferName(String referName) {
        this.referName = referName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getReferCode() {
        return referCode;
    }

    public void setReferCode(String referCode) {
        this.referCode = referCode;
    }

    public Long getRelationId() {
        return relationId;
    }

    public void setRelationId(Long relationId) {
        this.relationId = relationId;
    }
}
